
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
   What terminates this program?
*/
public class SimpleGUIProgram_v2
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Simple GUI Program v2");
      JButton jb = new JButton("Hello");
      ActionListener callBack = new ActionHandler_v2();
      jb.addActionListener(callBack);
      jf.add(jb); // try adding BorderLayout.NORTH or BorderLayout.SOUTH
      jf.setSize(400, 400);
      jf.setVisible(true); // start the Event Dispatch Thread
      System.out.println("bye");
   }
}


class ActionHandler_v2 implements ActionListener
{
   // There is only one method in the ActionListener interface
   public void actionPerformed(ActionEvent e)
   {
      System.out.println("Ouch.");
   }
}
