
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
   What terminates this program?
*/
public class SimpleGUIProgram_v4
{
   public static void main(String[] args) throws Exception
   {
      JFrame jf = new JFrame("Simple GUI Program v4");
      JButton jb = new JButton("Hello");
      ActionListener callBack = new ActionHandler_v4();
      jb.addActionListener(callBack);
      jf.add(jb);
      jf.setSize(400, 400);
      jf.setVisible(true); // start the Event Dispatch Thread
      Thread.sleep(5000);  // sleep the main() thread for 5 seconds
      System.exit(0);
      System.out.println("bye");
   }
}


class ActionHandler_v4 implements ActionListener
{
   // There is only one method in the ActionListener interface
   public void actionPerformed(ActionEvent e)
   {
      System.out.println("Ouch.");
   }
}
