
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
   Two event handlers for two buttons.

*/
public class SimpleGUIProgram_v8
{
   public static void main(String[] args) throws Exception
   {
      JFrame jf = new JFrame("Simple GUI Program v8");
      jf.setLayout(new FlowLayout());
      JButton jb1 = new JButton("Hello 1");
      JButton jb2 = new JButton("Hello 2");
      jb1.addActionListener(new ActionHandler_v8a());
      jb2.addActionListener(new ActionHandler_v8b());
      jf.add(jb1);
      jf.add(jb2);
      jf.setSize(400, 400);
      jf.setVisible(true); // start the Event Dispatch Thread
      System.out.println("bye");
   }
}


class ActionHandler_v8a implements ActionListener
{
   public int count = 0;

   // There is only one method in the ActionListener interface
   public void actionPerformed(ActionEvent e)
   {
      ++count;
      System.out.println("Ouch " + count + ".");
   }
}


class ActionHandler_v8b implements ActionListener
{
   public int count = 0;

   // There is only one method in the ActionListener interface
   public void actionPerformed(ActionEvent e)
   {
      --count;
      System.out.println("Ouch " + count + ".");
   }
}

