import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.scene.control.Label;
import javafx.scene.control.Button;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;

public class ButtonViewer2 extends Application
{
   public void start(Stage stage)
   {
      Label label = new Label("Hello, World!");
      label.relocate(0, 50);
      Button button = new Button("Click me!");
      button.setOnAction(event->label.setText(label.getText()+"\nClicked!"));

      Pane root = new Pane(button, label);
      final int PANE_WIDTH = 300;
      final int PANE_HEIGHT = 400;
      root.setMinSize(PANE_WIDTH, PANE_HEIGHT);

      Scene scene = new Scene(root);
      stage.setScene(scene);
      stage.setTitle("A pane with a button");
      stage.show();
   }
}
