/*
   https://dzone.com/articles/java-quiz-10-demonstrating-anonymous-class

   Try every possible combination of the instance, static,
   local, and inherited declarations for i;
*/
public class AnonymousClass
{
   int i = 5;         // instance
 //static int i = 7;  // static

   public static void main(String[] args)
   {
      int i = 9;      // local
      AnonymousClass ac = new AnonymousClass();
      System.out.print(ac.i);    // instance or static?
      Height height = new Height()
      {
         public void print()
         {
            System.out.print(i); // inherited, local, instance or static?
         }
         public void write()
         {
            System.out.print("x");
         }
      };
      height.print();
   }
}


interface Height
{
   int i = 3;      // inherited
   void print();
   void write();
}
