/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/ComponentListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/ComponentEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Component
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Component Example");
      jf.setSize(300, 300);
      jf.addComponentListener(new HandleC());
      jf.setVisible(true);
   }
}

class HandleC implements ComponentListener
{
   @Override public void componentMoved(ComponentEvent e)  {System.out.println(e+"\n");}
   @Override public void componentHidden(ComponentEvent e) {System.out.println(e+"\n");}
   @Override public void componentShown(ComponentEvent e)  {System.out.println(e+"\n");}
   @Override public void componentResized(ComponentEvent e){System.out.println(e+"\n");}
}
