/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Mouse
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Mouse Example");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.addMouseListener(new HandleM());
      jf.setVisible(true);

      //jf.add(new JLabel("A JLabel"));
      //jf.add(new JButton("Click Me"));
   }
}

class HandleM implements MouseListener
{
   @Override public void mouseClicked (MouseEvent e){System.out.println(e+"\n");}
   @Override public void mouseEntered (MouseEvent e){System.out.println(e+"\n");}
   @Override public void mouseExited  (MouseEvent e){System.out.println(e+"\n");}
   @Override public void mousePressed (MouseEvent e){System.out.println(e+"\n");}
   @Override public void mouseReleased(MouseEvent e){System.out.println(e+"\n");}
}
