/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseWheelListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseWheelEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Mouse_Wheel
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Mouse Wheel Example");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.addMouseWheelListener(new HandleMW());
      jf.setVisible(true);

      //jf.add(new JLabel("A JLabel"));
      //jf.add(new JButton("Click Me"));
   }
}

class HandleMW implements MouseWheelListener
{
   @Override public void mouseWheelMoved(MouseWheelEvent e){System.out.println(e+"\n");}
}
