
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
   Two event handlers for one button.
*/
public class SimpleGUIProgram_v5
{
   public static void main(String[] args) throws Exception
   {
      JFrame jf = new JFrame("Simple GUI Program v5");
      JButton jb = new JButton("Hello");
      jb.addActionListener(new ActionHandler_v5a());
      jb.addActionListener(new ActionHandler_v5b());
      jf.add(jb);
      jf.setSize(400, 400);
      jf.setVisible(true); // start the Event Dispatch Thread
      System.out.println("bye");
   }
}


class ActionHandler_v5a implements ActionListener
{
   // There is only one method in the ActionListener interface
   public void actionPerformed(ActionEvent e)
   {
      System.out.println("Ouch.");
   }
}


class ActionHandler_v5b implements ActionListener
{
   // There is only one method in the ActionListener interface
   public void actionPerformed(ActionEvent e)
   {
      System.out.println("OuchOuch.");
   }
}