
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
   One instance of the event handler for two buttons.
*/
public class SimpleGUIProgram_v6
{
   public static void main(String[] args) throws Exception
   {
      JFrame jf = new JFrame("Simple GUI Program v6");
      jf.setLayout(new FlowLayout());
      JButton jb1 = new JButton("Hello 1");
      JButton jb2 = new JButton("Hello 2");
      ActionListener callBack = new ActionHandler_v6();
      jb1.addActionListener(callBack);
      jb2.addActionListener(callBack);
    //jf.add(jb1, jb2);  // doesn't work!
      jf.add(jb1);
      jf.add(jb2);
      jf.setSize(400, 400);
      jf.setVisible(true); // start the Event Dispatch Thread
      System.out.println("bye");
   }
}


class ActionHandler_v6 implements ActionListener
{
   public int count = 0;

   // There is only one method in the ActionListener interface
   public void actionPerformed(ActionEvent e)
   {
      ++count;
      System.out.println("Ouch " + count + ".");
   }
}

