/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/KeyListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/KeyEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Keys
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Keyboard Example");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.addKeyListener(new HandleK());
      jf.setVisible(true);

      //jf.add(new JLabel("A JLabel"));
      //jf.add(new JButton("Click Me")); // This takes over the focus!
   }
}

class HandleK implements KeyListener
{
   @Override public void keyPressed (KeyEvent e){System.out.println(e+"\n");}
   @Override public void keyReleased(KeyEvent e){System.out.println(e+"\n");}
   @Override public void keyTyped   (KeyEvent e){System.out.println(e+"\n");}
}
