/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseMotionListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Mouse_Motion
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Mouse Motion Example");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.addMouseMotionListener(new HandleMM());
      jf.setVisible(true);

      //jf.add(new JLabel("A JLabel"));
      //jf.add(new JButton("Click Me"));
   }
}

class HandleMM implements MouseMotionListener
{
   @Override public void mouseDragged(MouseEvent e){System.out.println(e+"\n");}
   @Override public void mouseMoved  (MouseEvent e){System.out.println(e+"\n");}
}
